import { alignIfLegacy } from '../utils.js';
import { WIX_PROTOCOL } from '../constants.js';
export function transformSDKAudioToRESTAudio(val) {
    const alignedUrl = alignIfLegacy(val, 'audio');
    const { protocol, pathname } = new URL(alignedUrl);
    const [id, filename] = pathname.replace(`audio://v1/`, '').split('/');
    if (protocol === WIX_PROTOCOL) {
        if (!filename) {
            return { id };
        }
        return {
            id,
            filename: decodeURIComponent(filename),
        };
    }
    return { url: val };
}
export function transformRESTAudioToSDKAudio(val) {
    if (!val) {
        return;
    }
    let fileName = '';
    if (val?.filename) {
        fileName = `/${encodeURIComponent(val.filename)}`;
    }
    const duration = val?.duration ?? 0;
    const url = val?.id ? `wix:audio://v1/${val?.id}${fileName}` : val?.url;
    return `${url}${val?.id ? `#duration=${duration}` : ''}`;
}
