import { alignIfLegacy } from '../utils.js';
import { WIX_PROTOCOL } from '../constants.js';
export function transformSDKDocumentToRESTDocument(val) {
    const alignedUrl = alignIfLegacy(val, 'document');
    const { protocol, pathname } = new URL(alignedUrl);
    const [id, filename] = pathname.replace(`document://v1/`, '').split('/');
    if (protocol === WIX_PROTOCOL) {
        if (!filename) {
            return { id };
        }
        return {
            id,
            filename: decodeURIComponent(filename),
        };
    }
    return { url: val };
}
export function transformRESTDocumentToSDKDocument(payload) {
    if (!payload) {
        return;
    }
    let fileName = '';
    if (payload?.filename) {
        fileName = `/${encodeURIComponent(payload.filename)}`;
    }
    return payload.id
        ? `wix:document://v1/${payload.id}${fileName}`
        : payload.url;
}
