"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformSDKAudioToRESTAudio = transformSDKAudioToRESTAudio;
exports.transformRESTAudioToSDKAudio = transformRESTAudioToSDKAudio;
const utils_js_1 = require("../utils.js");
const constants_js_1 = require("../constants.js");
function transformSDKAudioToRESTAudio(val) {
    const alignedUrl = (0, utils_js_1.alignIfLegacy)(val, 'audio');
    const { protocol, pathname } = new URL(alignedUrl);
    const [id, filename] = pathname.replace(`audio://v1/`, '').split('/');
    if (protocol === constants_js_1.WIX_PROTOCOL) {
        if (!filename) {
            return { id };
        }
        return {
            id,
            filename: decodeURIComponent(filename),
        };
    }
    return { url: val };
}
function transformRESTAudioToSDKAudio(val) {
    if (!val) {
        return;
    }
    let fileName = '';
    if (val?.filename) {
        fileName = `/${encodeURIComponent(val.filename)}`;
    }
    const duration = val?.duration ?? 0;
    const url = val?.id ? `wix:audio://v1/${val?.id}${fileName}` : val?.url;
    return `${url}${val?.id ? `#duration=${duration}` : ''}`;
}
